//-------------------------------
// Color Constants 
//-------------------------------
.const BLACK = 0
.const WHITE = 1
.const RED = 2
.const CYAN = 3
.const PURPLE = 4
.const GREEN = 5
.const BLUE = 6
.const YELLOW = 7
.const ORANGE = 8
.const BROWN = 9
.const LIGHT_RED = 10
.const DARK_GRAY = 11
.const GRAY = 12
.const LIGHT_GREEN = 13
.const LIGHT_BLUE = 14
.const LIGHT_GRAY = 15

//-------------------------------
// Binary formats
// (For the LoadBinary command)
//-------------------------------
.const BF_C64FILE = "C64FILE"
.const BF_KOALA = "C64FILE, Bitmap=$0000, ScreenRam=$1f40, ColorRam=$2328, BackgroundColor = $2710"
.const BF_FLI =   "C64FILE, ColorRam=$0000, ScreenRam=$0400, Bitmap=$2400"
.const BF_BITMAP_SINGLECOLOR = "C64FILE, Bitmap=$0000, ScreenRam=$2000"

//-------------------------------
// Macros
//-------------------------------

/*----------------------------------------------------------
 BasicUpstart

 Syntax:	:BasicUpstart(address)	
 Usage example: :BasicUpstart($2000)
 	         Creates a basic program that sys' the address
------------------------------------------------------------*/
.macro BasicUpstart(address) {
	.byte <!upstartEnd+, >!upstartEnd+,10,0,$9e
	.text ""+address
	.byte 0,0,0		 
!upstartEnd: 
}
 